rte_flow_action(3)

NAME
rte_flow_action

SYNOPSIS

#include <rte_flow.h>

  Data Fields

enum rte_flow_action_type type
const void * conf

Detailed Description

Definition of a single action.

A list of actions is terminated by a END action.

For simple actions without a configuration object, conf remains NULL.

Definition at line 4291 of file rte_flow.h.

Field Documentation

  enum rte_flow_action_type type
Action type.

Definition at line 4292 of file rte_flow.h.

  const void* conf
Pointer to action configuration object.

Definition at line 4293 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.